Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ipe::Painter::State Struct Reference

`#include <ipepainter.h>`

## Public Attributes
Color | iStroke
Color | iFill
Fixed | iPen
String | iDashStyle
TLineCap | iLineCap
TLineJoin | iLineJoin
TFillRule | iFillRule
Color | iSymStroke
Color | iSymFill
Fixed | iSymPen
Fixed | iOpacity
Attribute | iTiling
Attribute | iGradient

## Member Data Documentation

Color ipe::Painter::State::iStroke

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

Color ipe::Painter::State::iFill

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

Fixed ipe::Painter::State::iPen

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

String ipe::Painter::State::iDashStyle

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

TLineCap ipe::Painter::State::iLineCap

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

TLineJoin ipe::Painter::State::iLineJoin

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

TFillRule ipe::Painter::State::iFillRule

Referenced by ipe::Painter::Painter().

Color ipe::Painter::State::iSymStroke

Referenced by ipe::Painter::Painter().

Color ipe::Painter::State::iSymFill

Referenced by ipe::Painter::Painter().

Fixed ipe::Painter::State::iSymPen

Referenced by ipe::Painter::Painter().

Fixed ipe::Painter::State::iOpacity

Referenced by ipe::PdfPainter::drawOpacity(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

Attribute ipe::Painter::State::iTiling

Referenced by ipe::PdfPainter::drawAttributes(), and ipe::Painter::Painter().

Attribute ipe::Painter::State::iGradient

Referenced by ipe::Painter::Painter().

The documentation for this struct was generated from the following file:

- ipepainter.h